# $Revision: 1.91 $, $Date: 2010/07/09 11:13:25 $
Summary:	BitTorrent - a tool for distributing files
Summary(pl.UTF-8):	BitTorrent - narzędzie do rozpowszechniania plików
Name:		BitTorrent
Version:	5.2.2
Release:	6
License:	BitTorrent Open Source License
Group:		Applications/Communications
Source0:	http://download.bittorrent.com/dl/%{name}-%{version}.tar.gz
# Source0-md5:	d8891cfa4c6bb796c8e948eace7694bc
Source1:	%{name}.desktop
Patch0:		%{name}-man_pages.patch
Patch1:		%{name}-morei18n.patch
Patch2:		%{name}-pl.patch
Patch3:		%{name}-xgettext.patch
URL:		http://www.bittorrent.com/
BuildRequires:	gettext-devel
BuildRequires:	python-TwistedCore
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
%pyrequires_eq	python-modules
Requires:	python-Crypto
Requires:	python-TwistedCore
Requires:	python-TwistedWeb
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BitTorrent is a tool for distributing files. It's extremely easy to
use - downloads are started by clicking on hyperlinks. Whenever more
than one person is downloading at once they send pieces of the file(s)
to each other, thus relieving the central server's bandwidth burden.
Even with many simultaneous downloads, the upload burden on the
central server remains quite small, since each new downloader
introduces new upload capacity.

%description -l pl.UTF-8
BitTorrent to narzędzie do rozpowszechniania plików. Jest bardzo łatwe
w użyciu - ściąganie rozpoczyna się przez klikanie na hiperłącza.
Jeśli więcej niż jedna osoba ściąga dany plik, wysyłają części pliku
między sobą, łagodząc obciążenie łącza centralnego serwera. Nawet przy
wielu jednoczesnych połączeniach wykorzystanie łącza głównego serwera
pozostaje dość małe, ponieważ każdy nowy ściągający daje nowe
możliwości ściągania.

%package gui
Summary:	GUI for BitTorrent
Summary(pl.UTF-8):	Graficzny interfejs użytkownika dla BitTorrenta
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	python-wxPython
Requires(post,postun):	desktop-file-utils

%description gui
GUI for BitTorrent.

%description gui -l pl.UTF-8
Graficzny interfejs użytkownika dla BitTorrenta.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

mv -f po/nb{_NO,}.po
mv -f po/nn{_NO,}.po
mv -f po/{in,id}.po
rm -rf locale
sed -i -e "s/'nb_NO'/'nb'/" BTL/language.py
sed -i -e "s/'nn_NO'/'nn'/" BTL/language.py
sed -i -e "s/'in'/'id'/" BTL/language.py

%build
find -type f -exec sed -i -e 's|#!.*python.*|#!%{_bindir}/python|g' "{}" ";"

sh makei18n.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_mandir}/man1}

python ./setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" | xargs rm
install debian/* $RPM_BUILD_ROOT%{_mandir}/man1

rm -rf locale/piglatin
find locale -type f ! -name '*.mo' -exec rm "{}" ";"
cp -a locale/*  $RPM_BUILD_ROOT%{_datadir}/locale

cp $RPM_BUILD_ROOT%{_pixmapsdir}/*-%{version}/logo/bittorrent_icon.png $RPM_BUILD_ROOT%{_pixmapsdir}/bittorrent.png
cp %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang bittorrent

%clean
rm -rf $RPM_BUILD_ROOT

%post gui
%update_desktop_database_post

%postun gui
%update_desktop_database_postun

%files -f bittorrent.lang
%defattr(644,root,root,755)
%doc LICENSE.txt README.txt credits.txt
%attr(755,root,root) %{_bindir}/bittorrent-console
%attr(755,root,root) %{_bindir}/bittorrent-curses
%attr(755,root,root) %{_bindir}/bittorrent-tracker
%attr(755,root,root) %{_bindir}/changetracker-console
%attr(755,root,root) %{_bindir}/launchmany-console
%attr(755,root,root) %{_bindir}/launchmany-curses
%attr(755,root,root) %{_bindir}/maketorrent-console
%attr(755,root,root) %{_bindir}/torrentinfo-console
%dir %{py_sitescriptdir}/BitTorrent
%{py_sitescriptdir}/BitTorrent/*.py[co]
%{py_sitescriptdir}/Zeroconf.py[co]
%{py_sitescriptdir}/khashmir
%{py_sitescriptdir}/BTL
%{py_sitescriptdir}/*.egg-info
%{_mandir}/man1/*

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bittorrent
%attr(755,root,root) %{_bindir}/maketorrent
%{py_sitescriptdir}/BitTorrent/GUI_wx
%{_pixmapsdir}/*-%{version}
%{_pixmapsdir}/bittorrent.png
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: BitTorrent.spec,v $
Revision 1.91  2010/07/09 11:13:25  arekm
- release 6

Revision 1.90  2010/07/08 07:39:50  arekm
- release 5

Revision 1.89  2010/05/12 13:26:10  baggins
- rel 4
- fixed desktop categories

Revision 1.88  2010/02/17 01:05:05  sparky
- dropped unused BR: python-devel-tools

Revision 1.87  2010/02/17 00:13:52  ankry
- more locale fixes, rel. 3

Revision 1.86  2009/03/13 15:35:37  hawk
- release 2

Revision 1.85  2008/12/11 15:42:48  lisu
- up to 5.2.2
- so locale files fixed already in sources

Revision 1.84  2008/10/05 16:48:59  wiget
- updated to 5.2.0

Revision 1.83  2008/10/05 16:36:39  wiget
- updated to 5.0.9
- added xgettext.patch to fix building transaltion files

Revision 1.82  2008/10/03 17:40:37  arekm
- release 3

Revision 1.81  2008/07/15 19:08:05  kolodko
- Added Req (gui) desktop-file-utils
- rel 2

Revision 1.80  2007/06/30 20:12:24  arekm
- up to 5.0.8

Revision 1.79  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.78  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.77  2007/02/11 19:58:12  ankry
- fixed pl summary

Revision 1.76  2007/02/01 21:15:26  patrys
- 5.0.5

Revision 1.75  2006/11/30 20:33:55  arekm
- up to 5.0.1

Revision 1.74  2006/11/05 17:29:51  patrys
- pl patch

Revision 1.73  2006/11/05 11:57:20  patrys
- setup requires twisted core

Revision 1.72  2006/11/05 02:42:17  patrys
- up to 5.0.0

Revision 1.71  2006/09/26 22:51:18  wrobell
- rel. 4 to rebuild with python 2.5 (final)

Revision 1.70  2006/09/05 20:18:40  wrobell
- stupid me :/ R: python-TwistedWeb
- rel. 3

Revision 1.69  2006/09/05 20:06:41  wrobell
- i18n files building fixes
- rel. 2

Revision 1.68  2006/09/02 16:11:06  wrobell
- gui is wx based again
- fixed files

Revision 1.67  2006/09/02 14:41:40  patrys
- re-added R: python-wxPython

Revision 1.66  2006/09/02 14:34:23  wrobell
- ver. 4.20.9
- removed wxWidgets dependency from main package, if some part of bt
  requires this, then please fix the spec properly (hint create wx-gui subpackage)

Revision 1.65  2006/08/29 00:12:05  patrys
- missing R: python-wxPython

Revision 1.64  2006/08/28 12:26:38  arekm
- rel 2

Revision 1.63  2006/08/08 16:50:39  wrobell
- ver. 4.20.7
- does not seem to require TwistedWeb nor wxWidgets (non-gui part)

Revision 1.62  2006/07/31 18:43:55  patrys
- rel. 2 for desktop

Revision 1.61  2006/07/31 06:41:22  arekm
- 4.20.4

Revision 1.60  2006/06/19 21:51:23  wiget
- updated to 4.9.9

Revision 1.59  2006/06/08 23:30:06  aredridel
R: python-wxPython

Revision 1.58  2006/06/03 20:44:37  qboosh
- added missing version information to previous commit message

Revision 1.57  2006/06/03 19:19:06  arekm
- updated; BR TwistedCore
[4.9.7]

Revision 1.56  2006/05/28 20:18:51  arekm
- up to 4.9.6

Revision 1.55  2006/02/04 21:46:09  piti
- up to 4.4.0

Revision 1.54  2006/01/15 14:02:28  qboosh
- fixed locale packaging

Revision 1.53  2005/12/31 15:59:10  mkierus
- up to 4.2.2

Revision 1.52  2005/12/13 21:17:26  arekm
- no need to obsolete anything recent

Revision 1.51  2005/12/05 15:57:35  paszczus
- updated to 4.2.1

Revision 1.50  2005/11/24 05:04:40  aredridel
- up to 4.2.0

Revision 1.49  2005/11/17 08:00:09  aredridel
- up to 4.1.8

Revision 1.48  2005/11/11 13:37:04  jasw
- add missing BR.

Revision 1.47  2005/11/04 12:39:12  ankry
- somethong better than noothing: use also unfinished translations

Revision 1.46  2005/11/04 04:52:27  aredridel
- up to 4.1.7

Revision 1.45  2005/11/01 11:45:22  ankry
- locale fixes, rel. 3, STBR

Revision 1.44  2005/10/29 12:01:53  arekm
- rel 2; add R: python-Crypto (by Paweł Zaskórski)

Revision 1.43  2005/10/27 06:59:33  aredridel
- up to 4.1.6
- STBR

Revision 1.42  2005/08/27 12:31:53  arekm
- up to 4.1.4

Revision 1.41  2005/07/31 06:39:53  kosmo
- updated to 4.1.3

Revision 1.40  2005/06/12 13:17:12  aniolek
- updated to 4.1.2

Revision 1.39  2005/05/27 19:57:47  wrobell
- ver 4.1.1

Revision 1.38  2005/05/21 17:50:43  arekm
- fix some typos in the code (how they could release it?)

Revision 1.37  2005/05/21 17:02:04  arekm
- missing files added

Revision 1.36  2005/05/20 23:34:58  charles
- updated to 4.1.0

Revision 1.35  2005/04/02 18:03:39  darekr
- removed needless BR: unzip

Revision 1.34  2005/03/30 13:30:03  koorek
- updated to 4.0.1

Revision 1.33  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.32  2005/03/09 10:09:33  wrobell
- fixed gui file section, so icons are included now
- gui package requires pygtk now
- license is BitTorrent Open Source License
- rel. 1

Revision 1.31  2005/03/08 15:50:59  mwinkler
- License: MIT or BitTorrent Open Source License ?

Revision 1.30  2005/03/08 15:47:06  mwinkler
- updated to 4.0.0, change URL

Revision 1.29  2005/01/10 15:51:31  havner
- wrrr

Revision 1.28  2005/01/10 15:43:29  havner
- pyrequireseq

Revision 1.27  2005/01/06 21:39:33  kosmo
- added BitTorrent-python24.patch
- release 6 STBR for ac

Revision 1.26  2004/12/23 16:40:54  saq
- release 5 for rebuild with python 2.4

Revision 1.25  2004/11/07 23:51:18  kolodko
- added man pages
- rel 4 STBR Ac

Revision 1.24  2004/08/14 02:32:25  ankry
- O:BitTornado, rel. 3

Revision 1.23  2004/08/03 21:17:23  deejay1
- rel up to 2 - proper Requires; STBR

Revision 1.22  2004/07/28 08:03:13  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.21  2004/06/27 20:45:09  jack
- added R: python-modules (thx vip at linux dot pl)

Revision 1.20  2004/06/14 19:44:37  jack
- added BR: sed >= 4.0

Revision 1.19  2004/04/25 23:01:45  adamg
- updated to 3.4.2

Revision 1.18  2004/03/24 13:35:39  wrobell
- install .pyc and .pyo files and remove .py files from py_sitescriptdir
- rel. 2

Revision 1.17  2004/03/15 20:47:29  ciesiel
- upgraded to version 3.4.1a

Revision 1.16  2004/03/07 09:11:58  arekm
- fix python paths

Revision 1.15  2004/03/07 09:02:23  arekm
- updated to 3.4

Revision 1.14  2004/03/02 14:21:26  twittner
- BR: perl-base, rpm-pythonprov.
- BA: noarch
- rel.4

Revision 1.13  2003/11/23 22:44:38  arekm
- fix requires

Revision 1.12  2003/11/16 10:56:23  wrobell
- missing defattr in gui's file section

Revision 1.11  2003/11/16 10:50:14  deejay1
- don't need no stinkin' wxWindows to download some files
  (seperated wxWindows GUI)
- change file permissions in %%files section, not %%install!
- maybe NFY - could seperate curses GUI and .torrent makers/tracker

Revision 1.10  2003/11/13 10:04:58  yoshi
- added missing BuildRequires: python-devel; now it builds.

Revision 1.9  2003/10/02 22:16:17  wiget
- updated to 3.3

Revision 1.8  2003/08/23 19:16:06  arekm
- rel 2

Revision 1.7  2003/08/06 16:36:00  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.6  2003/06/10 14:30:13  qboosh
- merged from cvs.pld.org.pl:
  Revision 1.4  2003/06/04 09:23:01  rrw
  - version 3.2.1b
  - release 1
  - pack all the executables installed by setup procedure -- they are sort of
    handy most of the time ;)

Revision 1.5  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/23 13:36:20  qboosh
- Source0 URL and its download URL

Revision 1.2  2003/04/21 15:22:06  qboosh
- pl

Revision 1.1  2003/02/11 13:16:55  baggins
- initial revision
- release 0.1
- seems to have problems with latest wxWindows
